---
auth_regex: '^\s*set\s+mailserver\s+.*?username\s+([^ ]+)\s+.*?password\s+(["'']*)([^\2]+)\2'
argos_user: monit
argos_delivery_user: root
argos_monitoring_dir: /etc/monit.d
ntfy_version: 2.6.0
ntfy_dependencies:
  "ruamel.yaml": "{{ (ansible_distribution_major_version != '7') | ternary('0.16.*', '0.16.2') }}"
  "ruamel.yaml.clib": "{{ (ansible_distribution_major_version != '7') | ternary(False, '0.2.2') }}"
argos_monitoring_services:
  - name: spamassassin
    when: "{{ (spamassassin_enabled | bool) and (mail_enabled | bool) }}"
  - name: dovecot
    when: "{{ mail_enabled }}"
  - name: vsftpd
    when: "{{ ftp_enabled }}"
  - name: rspamd
    when: "{{ (rspamd_enabled | bool) and (mail_enabled | bool) }}"
  - name: vsftpd
    when: "{{ ftp_enabled }}"
  - name: haproxy
    when: "{{ haproxy_enabled }}"
  - name: authlib
    when: "{{ mail_enabled }}"
home_monitor: "filesystem-home"
